Index · Directives · Python · libudev · gudev systemd 4

## Name

uselessd-hostname-setup — Initialize the system hostname in /etc/hostname

## Synopsis

`uselessd-hostname-setup`

## Description

uselessd-hostname-setup may be used by system installer tools to set the system hostname stored in `/etc/hostname` at install time with the one specified in the aforementioned file.

This tool will execute no operation if `/etc/hostname` is already set.

## Options

The following options are understood:

`-h`, `--help`

  Prints a short help text and exits.

`--version`

  Prints a short version string and exits.

## Exit status

On success 0 is returned, a non-zero failure code otherwise.

## See Also

systemd(1)